function [R_SS,tau_SS,pibar_SS,A_SS,pstar_SS,K_SS,F_SS,N_SS,C_SS] = ...
    steadysCALVO(nbeta,epsil,phi,nu,pitarget,theta,alphaarg,rholambda,phi_pie,phi_x)



if pitarget ~= 1
   error('pitarget needs to be 1'); 
end
    
    
A_SS=1;
tau_SS = 0;
N_SS=exp(-tau_SS/(1+phi));
pibar_SS=1;
pstar_SS=1;
R_SS=1/nbeta;
F_SS = 1/(1-nbeta*theta);
K_SS = F_SS;
C_SS = N_SS;

%dbstop at 30;
err(1)=1/C_SS - (nbeta/C_SS)*(R_SS/pibar_SS);
err(2)=1 + (pibar_SS^(epsil-1))*nbeta*theta*F_SS -F_SS;
err(3)=C_SS - pstar_SS*A_SS*N_SS;
err(4)=F_SS*(((1-theta*pibar_SS^(epsil-1))/(1-theta))^(1/(1-epsil))) - K_SS;
err(5)=(1 - nu)*(epsil/(epsil-1))*C_SS*exp(tau_SS)*(N_SS^phi)/A_SS + nbeta*theta*(pibar_SS^epsil)*K_SS - K_SS;
err(6)=1/pstar_SS - ((1-theta)*(((1-theta*(pibar_SS)^(epsil-1))/(1-theta))^(epsil/(epsil-1))) + theta*(pibar_SS^epsil)/pstar_SS);
err(7)=R_SS/R_SS - ((R_SS/R_SS)^alphaarg)*exp(((1-alphaarg)/R_SS)*(phi_pie*(pibar_SS-1) + phi_x*(C_SS/exp(log(A_SS) - tau_SS/(1+phi)))));
err(8)=log(A_SS) - (1.85*log(A_SS) - 0.855*log(A_SS));
err(9)= tau_SS -tau_SS*rholambda;
1+1;
if max(abs(err)) > .1e-10
    error('fatal (steadys) state state not satisfied')
end